use gtk4 as gtk;

use gtk::*;
use gtk::prelude::*;
use super::model::*;

pub fn parse_input(input : &TextView, output : &TextView, mode: bool) -> (){

    let (iter_start, iter_end) = input.buffer().bounds();
    let parsed_input : String = input
        .buffer()
        .text(&iter_start, &iter_end, false)
        .to_string()
        .trim()
        .parse()
        .unwrap();

    let operation = if mode == false {
        HammingMode::Encrypt
    } else {
        HammingMode::Decrypt
    };

    match hamming(parsed_input, operation) {
        Ok(res) => output.buffer().set_text(res.trim_end()),
        Err(rej) => output.buffer().set_text(rej.as_str()),
    }

}